{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/type

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

GET /api/calendar/{calendarId}/type

Calendar kind derived from its source and lifecycle.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
200 application/json string [PRIVATE, SHARED, EXTERNAL, API] Successful response.

Example Request

# Request
GET /api/calendar/<calendarId>/type HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

"PRIVATE"

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net HelpDesk
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe